# pointer_to_unary_function Class Template Reference
[Adaptors for pointers to functions]

Inheritance diagram for pointer_to_unary_function:

List of all members.

### template<class _Arg, class _Result>
class std::pointer_to_unary_function< _Arg, _Result >

## Public Types

- typedef _Arg argument_type
- typedef _Result result_type

## Public Member Functions

- _Result operator() (_Arg __x) const
- pointer_to_unary_function (_Result(*__x)(_Arg))

## Protected Attributes

- _Result(* _M_ptr )(_Arg)

## Member Typedef Documentation

typedef _Arg argument_type `[inherited]`

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

typedef _Result result_type `[inherited]`

| argument (no surprises here) `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h